.\"
.\" Copyright (c) 1993 Christopher G. Demetriou
.\" Copyright (c) 1994 Geoffrey M. Rehmet
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Christopher G. Demetriou.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software withough specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	from: lpt.4,v 1.1 1993/08/06 10:34:12 cgd Exp
.\" $FreeBSD: src/share/man/man4/man4.i386/lpt.4,v 1.4.2.3 1999/09/05 11:27:02 peter Exp $
.\"
.Dd August 28, 1993
.Dt LPT 4 i386
.Os FreeBSD
.Sh NAME
.Nm lpt
.Nd
Parallel port driver
.Sh SYNOPSIS
For interrupt-driven ports:
.Cd "device lpt0 at isa? port" \&"IO_LPT1\&" tty irq 7 vector lptintr
.Cd "device lpt1 at isa? port" \&"IO_LPT2\&" tty irq 7 vector lptintr
.Cd "device lpt2 at isa? port" \&"IO_LPT3\&" tty irq 7 vector lptintr
.Pp
For BIOS-probed ports:
.Cd "device lpt0 at isa? port? tty irq 7 vector lptintr"
.Pp
For polled ports:
.Cd "device lpt0 at isa? port? tty"
.Cd "device lpt1 at isa? port" \&"IO_LPT2\&" tty
.Sh DESCRIPTION
This driver provides access to parallel ports. 
.Pp
The driver can be configured either to be either interrupt-driven, or 
to poll the printer.  Ports that are configured to be 
interrupt-driven can be switched to polled mode by using the
.Xr lptcontrol 8
command.
.Pp
This driver replaces the functionality of the 
.Xr lpa 4
driver, which is now defunct.
.Sh FILES
.Bl -tag -width Pa -compact
.It Pa /dev/lpt0
first parallel port driver
.El
.Sh SEE ALSO
.Xr lptcontrol 8
.Sh BUGS
There are lots of them, especially in cheap parallel port implementations.
.Pp
It is only possible to open a lpt port when a printer is connected and
on-line, making it impossible to run 
.Xr lptcontrol 8 
when there is no printer connected.
.Pp
This driver could still stand a rewrite.
